import java.util.Scanner;

public class LotteryUsingStrings {
  public static void main(String[] args) {
    // Generowanie łańcucha znaków z dwiema cyframi
    String lottery = "" + (int)(Math.random() * 10)
      + (int)(Math.random() * 10);

    // Wyświetlanie prośby o wytypowanie wyniku
    Scanner input = new Scanner(System.in);
    System.out.print("Podaj typowaną liczbę (dwie cyfry): ");
    String guess = input.nextLine();

    // Pobieranie wygenerowanych cyfr
    char lotteryDigit1 = lottery.charAt(0); 
    char lotteryDigit2 = lottery.charAt(1); 

    // Pobieranie wytypowanych cyfr
    char guessDigit1 = guess.charAt(0);
    char guessDigit2 = guess.charAt(1);

    System.out.println("Wylosowana liczba to " + lottery);

    // Sprawdzanie wytypowanej liczby
    if (guess.equals(lottery))
      System.out.println("Pełne dopasowanie: wygrałeś 10 000 zł");
    else if (guessDigit2 == lotteryDigit1
          && guessDigit1 == lotteryDigit2)
      System.out.println("Dopasowanie obu cyfr: wygrałeś 3000 zł");
    else if (guessDigit1 == lotteryDigit1 
          || guessDigit1 == lotteryDigit2 
          || guessDigit2 == lotteryDigit1 
          || guessDigit2 == lotteryDigit2)
      System.out.println("Dopasowanie jednej cyfry: wygrałeś 1000 zł");
    else
      System.out.println("Niestety, brak dopasowania"); 
  }
}
